Target version filter should get an entry 'All open versions'
Resolution: Duplicate   

Description

This is my request #10412-20 as an own issue:

The filter for target versions should also get another entry so I can choose all open versions with a single selection. This could be

helpful if you consider that filters can be stored in queries.

Related issues:

Related to Redmine - Feature #21577: The version should get a status archived... New

Is duplicate of Redmine - Feature #23215: Add the possibility to filter issue... Closed

History

#1 - 2016-09-19 09:24 - Marius BĂLTEANU

In other words, you need a filter that returns all issues that are assigned to open versions, right?

#2 - 2016-09-19 10:39 - Robert Schneider

Yes. Similar to if I would multi-select all versions that are currently open. However, it is dynamic, so if it is used in a stored query results could vary

depending on the currently opened versions.

Is it now obvious? I thought it should be easy to grasp...

I came across this with the gantt chart. It's nice to get an overview quickly for what is happening next. At least in my case. But it might be not so nice if

there are versions like 'Candidate for next major release' like it is in the Redmine project itself.

Maybe there should be another version status ('planed', 'prepared', ...) so a version is not open? Yeah: and this status would also mean don't show on

roadmap by default, just in right panel like the collapsible Completed versions - might be another feature request, though...

#3 - 2016-09-19 13:12 - Marius BĂLTEANU

Robert Schneider wrote:

Yes. Similar to if I would multi-select all versions that are currently open. However, it is dynamic, so if it is used in a stored query results could

vary depending on the currently opened versions.

 #23215 contains a patch that adds the possibility to filter issues after target version's status (open, locked, closed). It should solve a part of your

request.

#4 - 2016-09-19 13:26 - Toshi MARUYAMA

- Related to Feature #23215: Add the possibility to filter issues after Target Version's Status and Due Date added

#5 - 2016-09-19 14:02 - Robert Schneider

Marius, yes, it seems so! So my issue can actually be marked as a duplicate.

I have created another issue #23858 for the version status feature.

#6 - 2016-09-21 05:49 - Toshi MARUYAMA

- Related to Feature #21577: The version should get a status archived like projects added

#7 - 2016-10-02 13:27 - Jean-Philippe Lang

- Status changed from New to Closed
- Resolution set to Duplicate

#23215 is committed for 3.4.0. I'm closing this at duplicate.

#8 - 2016-10-02 15:04 - Toshi MARUYAMA

- Related to deleted (Feature #23215: Add the possibility to filter issues after Target Version's Status and Due Date)

#9 - 2016-10-02 15:04 - Toshi MARUYAMA

- Is duplicate of Feature #23215: Add the possibility to filter issues after Target Version's Status and Due Date added
